# #!/usr/bin/PandaDcs

epicsEnvSet( "ARCH",                 "EPICS_HOST_ARCH" )
epicsEnvSet( "TOP",                  "/etc/epics/iocPandaDcs" )
epicsEnvSet( "ASYN",                 "/etc/epics/asyn" )
epicsEnvSet( "STREAM",               "/etc/epics/stream" )
epicsEnvSet( "SNMP",                 "/etc/epics/devSnmp" )
epicsEnvSet( "MODBUS",               "/etc/epics/modbus" )
epicsEnvSet( "DRVASYNCAN",           "/etc/epics/drvAsynCan" )
epicsEnvSet( "EPICS_BASE",           "/etc/epics/base" )
epicsEnvSet( "STREAM_PROTOCOL_PATH", "/etc/epics/protocols" )
epicsEnvSet( "IOCCONFPATH",          "${EPICS_IOC_CONFIG_PATH}" )

## Register all support components
dbLoadDatabase( "$(TOP)/dbd/PandaDcs.dbd", 0, 0 )
PandaDcs_registerRecordDeviceDriver( pdbbase )

## Load asyn drivers
< $(IOCCONFPATH)/drivers

## Load record instances
dbLoadTemplate ("$(IOCCONFPATH)/substitutions" )

iocInit()

#asynSetTraceMask( "can0", 0, 8 )

